What type of Operating System (computer setup) do I need to complete the training?

When completing the training, it is optimal to use a desktop computer with a mouse attached, especially when completing the Hazard Perception Evaluation.

These are our requirements:

Web Based Training and Policy Testing

Windows Vista SP2 or later
The most recent, stable versions of Internet Explorer 9 or later, Firefox or Chrome

Windows 7, 8.1 & 10
The most recent, stable versions of Internet Explorer 11, Microsoft Edge, Firefox or Chrome

Mac OSX 10.7 or later
Most recent, stable version of Safari or Chrome 

Mobile Devices with iOS 8 or later, Android 5 or later
Most recent, stable versions of the platform’s default browser 

 

Hazard Perception 2.0

Windows Vista SP2 
The most recent, stable versions of Internet Explorer 9, Firefox or Chrome 

Windows 7, 8.1, 10 
The most recent, stable versions of Internet Explorer 11, Microsoft Edge, Firefox or Chrome 

Mac OSX 10.7 or later 
Most recent, stable version of Safari or Chrome. The latest, secure release of Adobe Flash Player is required.

 

Hazard Perception 360

Windows Vista SP2 
The most recent, stable versions of Internet Explorer 9 or later, Firefox or Chrome 

Windows 7, 8.1 & 10 
The most recent, stable versions of Internet Explorer 11, Microsoft Edge, Firefox or Chrome

Mac OS X 10.7 or later 
The most recent, stable versions of Safari or Chrome 

Apple iPad, iOS version 8 or later 
The most recent, stable versions of Safari or Chrome 

Android Tablet, Operating system version 5.0 or later (Lollipop) 
Most recent, stable version of Chrome

 

MotorMind

Windows 7, 8.1 & 10
The most recent, stable versions of Internet Explorer 11, Microsoft Edge, Firefox or Chrome 

OS X 10.7 or later
The most recent, stable versions of Safari or Chrome

Apple iPad, iOS version 8 or later
The most recent, stable versions of Safari or Chrome

 

If you are not sure if your Internet connection and / or computer meet these requirements, please contact your internal IT department for assistance.

These are our Recommended Requirements for hardware:

  • Intel Pentium 4 2.33GHz, AMD Athlon 64 2800+ processor (or equivalent)
  • Sound card and speakers/headphones
  • 512 MB of RAM
  • Cable / DSL Broadband
  • 50MB of cache
  • 30Mbps class broadband connection or faster

If you are unable to use the above requirements for software and/or hardware, at minimum you will need the following:

  • Microsoft Windows 2000
  • Microsoft Internet Explorer 6.0, Firefox 2.x
  • Adobe Flash Player 8.0
  • Intel Pentium II 450 MHz, AMD Athlon 600 MHz or faster processor (or equivalent)
  • Sound card and speakers/headphones
  • 128 MB of RAM
  • 56K Modem
Have more questions? Submit a request
Powered by Zendesk